## haskell-hsql 1.6

=== mingw32lib/Makefile ===
all: liblibmysql.a liblibpq.a libsqlite.a libmsi.a

liblibmysql.a: libmysql.def
	dlltool --input-def libmysql.def --dllname libmysql.dll --output-lib liblibmysql.a -k
	
liblibpq.a: libpqdll.def
	dlltool --input-def libpqdll.def --dllname libpq.dll --output-lib liblibpq.a -k

libsqlite.a: sqlite.def
	dlltool --input-def sqlite.def --dllname sqlite.dll --output-lib libsqlite.a -k

libmsi.a: msi.def
	dlltool --input-def msi.def --dllname msi.dll --output-lib libmsi.a -k
