## haskell-hsql 1.7.1

=== debian/changelog ===
haskell-hsql (1.7.1-4) unstable; urgency=low

  * Fix "Updating the haskell-hsql Uploaders list" changing Uploader
    (Closes: #576182)
  * control: Use versioned Replaces: and Conflicts:

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 05 May 2010 18:01:46 -0300

haskell-hsql (1.7.1-3) unstable; urgency=low

  * debian/source/format: Use 3.0 (quilt).
  * debian/control: Rename -doc package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 16 Mar 2010 10:59:45 -0300

haskell-hsql (1.7.1-2) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Add Homepage: field.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Use comma in the beginning of the line.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Use more sintetic link in Homepage:.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 19:38:20 +0100

haskell-hsql (1.7.1-1) unstable; urgency=low

  [ Arjan Oosting ]
  * New upstream release (Closes: #526438, 520322)
  * debian/patches/01_update-cabal-file.dpatch: Updated. Adjust the
    hsql.cabal for the Cabal version which Debian ships.
  * debian/control:
    - Change download location.
    - Update Standards-Version.
  * Added debian/README.source to describe patch system.
  * debian/changelog:
    - Fix a spelling error.

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Use Debian Haskell Group as Maintainer.

  [ Joachim Breitner ]
  * Bump standards version, move to section Haskell
  * Remove the patch again, included upstream
  * Use standard haskell-devscripts packaging

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 Jul 2009 00:24:45 +0200

haskell-hsql (1.7-2) unstable; urgency=low

  * debian/control:
    - Add a libghc6-hsql-prof binary package containing the profiling
      library of hsql for use with GHC 6.
    - Add Vcs-* fields.
  
 -- Arjan Oosting <arjan@debian.org>  Sun, 03 Feb 2008 19:59:51 +0100

haskell-hsql (1.7-1) unstable; urgency=medium

  * Set urgency to medium as this upload fixes an RC bug.
  * Hijack this package as the current maintainer does not seem to be
    working on it anymore. Moved Víctor Pérez Pereira to the Uploaders
    and set myself as maintainer.
  * New upstream release. The source tarball has been split up and every
    Haskell library has its own source source tarball now.
    - debian/control:
      + Remove the binary stanzas for libghc6-hsql-sqlite3-dev,
        libghc6-hsql-sqlite-dev, libghc6-hsql-odbc-dev,
        libghc6-hsql-mysql-dev and libghc6-hsql-postgresql-dev which all
        will get their own source package.
      + Update Build-Depends on haskell-devscripts to 0.6.0 needed to
        build the package.
      + Add dpatch and ghc6-prof to the build dependencies.
    - debian/rules:
      + Replaced with a much simpler version as we only need to build one
        Haskell library. This version works with (and needs)
        haskell-devscripts >= 0.6.0. (Closes: #458615) 
  * debian/watch:
    - Use hackage.haskell.org as location for new upstream releases.
  * Update for GHC 6.8.2:
    - debian/control: 
      + Bump build dependency on GHC to 6.8.2 as we need the new Cabal
        version.
    - debian/patches/01_update-cabal-file:
      + Add old-time to the build-depends in hsql.cabal
      + Add TypeOperators, ScopedTypeVariables, RankNTypes and
        DeriveDataTypeable to the list of needed extensions in hsql.cabal.
  * Fix small spelling error in debian/control.
  * Convert debian/copyright file to UTF-8 to fix lintian warning 
    debian-copyright-file-uses-obsolete-national-encoding
  * debian/control:
    - Change section of libghc6-hsql-dev and libghc6-hsql-prof to libdevel
      to fix lintian warning dev-package-should-be-section-libdevel
    - Bump Standards-Version 3.7.3. No furthur changes needed.

 -- Arjan Oosting <arjan@debian.org>  Sun, 03 Feb 2008 19:29:40 +0100

haskell-hsql (1.6-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: call ghc-pkg with --force to ignore missing
    directories. (Closes: 393635)

 -- Arjan Oosting <arjan@debian.org>  Tue, 24 Oct 2006 23:39:37 +0200

haskell-hsql (1.6-8.1) unstable; urgency=low

  * Non-maintainer upload, to fix Failure To Build From Source, applying patch
    by Arjan Oosting.
  * Fixes FTBFS: needs to update for new ghc6 (Closes: #379264)
    - update MySQL/Setup.lhs, PostgresSQL/Setup.lhs, SQLite/Setup.lhs and
      SQLite3/Setup.lhs for the new Cabal version shipped with ghc 6.4.2.
    - debian/control: Build-Depends on the ghc6 (>= 6.4.2) which ships the
      new Cabal version. Drop the build dependency on ghc6 (6.4.1-999) to
      make (binary) non-maintainer uploads easier.
    - debian/ghc-pkg: replace the call to /usr/lib/ghc-6.4.1/bin/ghc-pkg
      with a call to /usr/bin/ghc-pkg6 to make independant of the ghc6
      version.

 -- Margarita Manterola <marga@debian.org>  Thu, 10 Aug 2006 15:27:19 -0300

haskell-hsql (1.6-8) unstable; urgency=medium

  * New maintainer (closes: #358873)
  * Update of Debian Policy.

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Sun, 14 May 2006 19:16:00 -0400

haskell-hsql (1.6-7) unstable; urgency=medium

  * QA upload.
  * PostgreSQL/Setup.lhs: Since we use only client-side headers, remove

