=== debian/control ===
Source: haskell-hsql
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: cdbs
 , debhelper (>= 7)
 , haskell-devscripts (>= 0.7)
 , cpphs
 , ghc6 
 , ghc6-prof
 , ghc6-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/hsql
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hsql/
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hsql

Package: libghc6-hsql-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}, libghc6-hsql-sqlite3-dev, libghc6-hsql-sqlite-dev, libghc6-hsql-odbc-dev, libghc6-hsql-mysql-dev, libghc6-hsql-postgresql-dev, haskell-hsql-doc
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: Multi-Database Interface System library for GHC6
 HSQL provides interfaces for Haskell programmers to the PostgreSQL,
 MySQL, SQLite, and UnixODBC database systems.  There is a generic
 abstract interface so that code can be used interchangeably with these
 database systems.  In this sense, it is similar to Java's JDBC,
 Python's DB-API, or Perl's DBI.

Package: libghc6-hsql-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Multi-Database Interface System profiling library for GHC6
 HSQL provides interfaces for Haskell programmers to the PostgreSQL,
 MySQL, SQLite, and UnixODBC database systems.  There is a generic
 abstract interface so that code can be used interchangeably with these
 database systems.  In this sense, it is similar to Java's JDBC,
 Python's DB-API, or Perl's DBI.

Package: libghc6-hsql-doc
Replaces: haskell-hsql-doc (<< 1.7.1-3)
Conflicts: haskell-hsql-doc (<< 1.7.1-3)
Provides: haskell-hsql-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: API documentation of the HSQL library for Haskell
 HSQL provides interfaces for Haskell programmers to the PostgreSQL,
 MySQL, SQLite, and UnixODBC database systems.  There is a generic
 abstract interface so that code can be used interchangeably with these
 database systems.  In this sense, it is similar to Java's JDBC,
 Python's DB-API, or Perl's DBI.
 .
 This package provides documentation for HSQL.
