## haskell-hsql 1.8.1

=== debian/changelog ===
haskell-hsql (1.8.1-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Nov 2011 14:09:16 -0400

haskell-hsql (1.8.1-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Mon, 06 Jun 2011 09:33:35 +0100

haskell-hsql (1.8.1-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * New upstream release
  * Standards-Version bump to 3.9.2, no changes required

 -- Iain Lane <laney@ubuntu.com>  Thu, 19 May 2011 09:51:57 +0100
