=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_DEPENDENCIES = build-arch
DEB_HADDOCK_HTML_DIR = /usr/share/doc/haskell-$(CABAL_PACKAGE)-doc/html/

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk
