## haskell-hsql 1.8.2

=== debian/changelog ===
haskell-hsql (1.8.2-4build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 May 2015 09:33:35 +0100

haskell-hsql (1.8.2-4) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:40 +0200

haskell-hsql (1.8.2-3) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:10:57 +0100

haskell-hsql (1.8.2-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:00 +0200

haskell-hsql (1.8.2-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Oct 2012 18:05:12 +0200

haskell-hsql (1.8.1-5) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:10 +0200

haskell-hsql (1.8.1-4) unstable; urgency=low

  [ Clint Adams ]
  * Fix -doc package dependency.

  [ Joachim Breitner ]
  * Use standard docs directory, avoids upgrade problems.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 22:45:47 +0200

haskell-hsql (1.8.1-3) unstable; urgency=low

  * Fixes for changed behaviour in GHC 7.4
    + Use mkTyCon3 instead of deprecated mkTyCon in DB/HSQL/Error.hs. Takes 3
      Strings: (Package Name, Module Name, Constructor)
    + Also import constructors of CType in DB/HSQL/Type/Time.hsc. GHC 7.6 will
      make using abstract newtypes in FFI declarations an error (for now it is
      just a warning).
    + Use FlexibleInstances extension in DB/HSQL/Type/Diverse.hs in order to
      allow SqlBind instance to be defined for String ([Char]). * 

 -- Iain Lane <laney@debian.org>  Thu, 01 Mar 2012 21:37:31 +0000

haskell-hsql (1.8.1-2) unstable; urgency=low

  * Add Replaces/Conflicts on libghc6-*-doc package (Closes: #656428)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 21 Jan 2012 16:56:57 +0100
