=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: cdbs
- , debhelper (>= 7)
- , haskell-devscripts (>= 0.7)
+ , debhelper (>= 9)
+ , haskell-devscripts (>= 0.9)
  , cpphs
  , ghc 
  , ghc-prof
- , ghc-doc
-Standards-Version: 3.9.2
+Build-Depends-Indep: ghc-doc
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/hsql
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-hsql/
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-hsql
@@ -21,7 +21,7 @@
 Suggests: ${haskell:Suggests}, libghc-hsql-sqlite3-dev, libghc-hsql-sqlite-dev, libghc-hsql-odbc-dev, libghc-hsql-mysql-dev, libghc-hsql-postgresql-dev, haskell-hsql-doc
 Recommends: ${haskell:Recommends}
 Provides: ${haskell:Provides}
-Description: Multi-Database Interface System library for GHC6
+Description: Multi-Database Interface System library for GHC
  HSQL provides interfaces for Haskell programmers to the PostgreSQL,
  MySQL, SQLite, and UnixODBC database systems.  There is a generic
  abstract interface so that code can be used interchangeably with these
@@ -36,7 +36,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Multi-Database Interface System profiling library for GHC6
+Description: Multi-Database Interface System profiling library for GHC
  HSQL provides interfaces for Haskell programmers to the PostgreSQL,
  MySQL, SQLite, and UnixODBC database systems.  There is a generic
  abstract interface so that code can be used interchangeably with these
@@ -44,12 +44,12 @@
  Python's DB-API, or Perl's DBI.
 
 Package: libghc-hsql-doc
-Replaces: haskell-hsql-doc (<< 1.7.1-3)
-Conflicts: haskell-hsql-doc (<< 1.7.1-3)
+Replaces: haskell-hsql-doc (<< 1.7.1-3), libghc6-hsql-doc (<< 1:1)
+Conflicts: haskell-hsql-doc (<< 1.7.1-3), libghc6-hsql-doc (<< 1:1)
 Provides: haskell-hsql-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${haskell:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Description: API documentation of the HSQL library for Haskell
